﻿using System;
using System.Collections.Generic;
using System.Linq;
using HelloPrismForWinRT.ViewModels;
using HelloPrismForWinRT.Views;
using Microsoft.Practices.Prism.StoreApps;
using Windows.ApplicationModel.Activation;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.StoreApps.Interfaces;
using HelloPrismForWinRT.Services;
using HelloPrismForWinRT.Models;

namespace HelloPrismForWinRT
{
    sealed partial class App : MvvmAppBase
    {
        IUnityContainer _Container = new UnityContainer();
        public App()
        {
            this.InitializeComponent();
        }

        protected override void OnLaunchApplication(LaunchActivatedEventArgs args)
        {
            NavigationService.Navigate("Main", null);
        }

        protected override void OnInitialize(IActivatedEventArgs args)
        {
            base.OnInitialize(args);
            //ViewModelLocator.Register(typeof(MainPage).ToString(), 
            //    () => new MainPageViewModel(NavigationService));
            _Container.RegisterInstance<INavigationService>(NavigationService);
            _Container.RegisterInstance<ISessionStateService>(SessionStateService);
            _Container.RegisterType<IProductsRepository, ProductsRepository>(new ContainerControlledLifetimeManager());
            _Container.RegisterType<IOrderRepository, OrderRepository>(new ContainerControlledLifetimeManager());
            ViewModelLocator.SetDefaultViewModelFactory(
                (viewModelType) => _Container.Resolve(viewModelType));
        }

        protected override void OnRegisterKnownTypesForSerialization()
        {
            base.OnRegisterKnownTypesForSerialization();
            SessionStateService.RegisterKnownType(typeof(Product));
            SessionStateService.RegisterKnownType(typeof(OrderItem));
            SessionStateService.RegisterKnownType(typeof(OrderItem[]));
        }
    }
}
