﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using Microsoft.Practices.Prism.StoreApps;
using Microsoft.Practices.Prism.StoreApps.Interfaces;

namespace HelloPrismForWinRT.ViewModels
{
    public class MainPageViewModel : ViewModel
    {
        private readonly INavigationService _NavService;
        public MainPageViewModel(INavigationService navService)
        {
            _NavService = navService;
            NavCommands = new ObservableCollection<string>
            {
                "Add Sale"
            };
            NavCommand = new DelegateCommand<string>(OnNavCommand);
            AddSaleCommand = new DelegateCommand(() => _NavService.Navigate("AddSale", null));
        }

        public ObservableCollection<string> NavCommands { get; set; }
        public DelegateCommand<string> NavCommand { get; set; }
        public DelegateCommand AddSaleCommand { get; set; }

        private void OnNavCommand(string navCommand)
        {
            _NavService.Navigate("AddSale", null);
        }
    }
}
